"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/web.dom.iterable");

require("core-js/modules/es6.promise");

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var PromiseChain =
/*#__PURE__*/
function () {
  function PromiseChain() {
    (0, _classCallCheck2.default)(this, PromiseChain);
    this.chains = [];
  }

  (0, _createClass2.default)(PromiseChain, [{
    key: "add",
    value: function add(onFulfilled, onRejected) {
      this.chains.push({
        onFulfilled: onFulfilled,
        onRejected: onRejected
      });
    }
  }, {
    key: "execute",
    value: function execute(init) {
      var promise = Promise.resolve(init);
      this.chains.forEach(function (_ref) {
        var onFulfilled = _ref.onFulfilled,
            onRejected = _ref.onRejected;
        promise = promise.then(onFulfilled, onRejected);
      });
      this.chains = [];
      return promise;
    }
  }]);
  return PromiseChain;
}();

module.exports = PromiseChain;