"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deepCopy = deepCopy;

require("core-js/modules/es6.array.iterator");

require("core-js/modules/es6.object.keys");

require("core-js/modules/web.dom.iterable");

var _typeof2 = _interopRequireDefault(require("@babel/runtime/helpers/typeof"));

var _typeCheck = require("./typeCheck");

function deepCopy(obj) {
  var deepObj;

  if ((0, _typeCheck.isArray)(obj)) {
    deepObj = [];
  } else if ((0, _typeof2.default)(obj) === 'object') {
    deepObj = {};
  } else {
    return obj;
  }

  Object.keys(obj).forEach(function (key) {
    deepObj[key] = deepCopy(obj[key]);
  });
  return deepObj;
}