"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = normalizeHeaderName;

require("core-js/modules/es6.array.iterator");

require("core-js/modules/es6.object.keys");

require("core-js/modules/web.dom.iterable");

function normalizeHeaderName(headers, normalizedName) {
  Object.keys(headers).forEach(function (key) {
    if (key !== normalizedName && key.toUpperCase() === normalizedName.toUpperCase()) {
      headers[normalizedName] = headers[key];
      delete headers[key];
    }
  });
}