"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = transformRequest;

var _typeCheck = require("./typeCheck");

function transformRequest(body, headers) {
  if ((0, _typeCheck.isNormalObject)(body)) {
    headers['Content-Type'] = 'application/json;charset=utf-8';
    return JSON.stringify(body);
  }

  return body;
}