"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isDate = isDate;
exports.isArray = isArray;
exports.isObject = isObject;
exports.isFunction = isFunction;
exports.isNormalObject = isNormalObject;

var _typeof2 = _interopRequireDefault(require("@babel/runtime/helpers/typeof"));

require("core-js/modules/es6.regexp.to-string");

require("core-js/modules/es6.date.to-string");

var toString = Object.prototype.toString;
/**
 * 对象是否为date类型
 */

function isDate(val) {
  return toString.call(val) === '[object Date]';
}
/**
 * 对象是否为array类型
 */


function isArray(val) {
  return toString.call(val) === '[object Array]';
}
/**
 * 对象是否为对象类型
 */


function isObject(val) {
  return val !== null && (0, _typeof2.default)(val) === 'object';
}
/**
 * 对象是否为函数类型
 */


function isFunction(val) {
  return toString.call(val) === '[object Function]';
}
/**
 * 对象是否为普通对象类型
 */


function isNormalObject(val) {
  return toString.call(val) === '[object Object]';
}