"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/web.dom.iterable");

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var Interceptor =
/*#__PURE__*/
function () {
  function Interceptor() {
    (0, _classCallCheck2.default)(this, Interceptor);
    this.handlers = [];
  }

  (0, _createClass2.default)(Interceptor, [{
    key: "use",
    value: function use(onFulfilled, onRejected) {
      this.handlers.push({
        onFulfilled: onFulfilled,
        onRejected: onRejected
      });
      return this.handlers.length - 1;
    }
  }, {
    key: "remove",
    value: function remove(id) {
      if (this.handlers[id]) {
        delete this.handlers[id];
        this.handlers[id] = null;
        return true;
      }

      return false;
    }
  }, {
    key: "forEach",
    value: function forEach(callback, thisArgs) {
      this.handlers.forEach(callback, thisArgs);
    }
  }]);
  return Interceptor;
}();

module.exports = Interceptor;