"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getNativeFetch;

function getNativeFetch() {
  if (typeof window !== 'undefined' && typeof self !== 'undefined') {
    require('./browerFetch');

    return self.fetch;
  } else {
    var fetch = require('./nodeFetch');

    return fetch;
  }
}