"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isAbsoluteURL = isAbsoluteURL;
exports.buildAbsoluteURL = buildAbsoluteURL;

require("core-js/modules/es6.regexp.replace");

function isAbsoluteURL(url) {
  return /^([a-z][a-z\d\+\-\.]*:)?\/\//i.test(url);
}

function buildAbsoluteURL(baseUrl, relativeUrl) {
  return relativeUrl ? "".concat(baseUrl.replace(/\/+$/, ''), "/").concat(relativeUrl.replace(/^\/+/, '')) : baseUrl;
}